=== plugins/skrooge/skrooge_monthly/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_MONTHLY ::..")

PROJECT(plugin_monthly)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BINARY_DIR}/skgbasegui
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_monthly_SRCS
	skgmonthlyplugin.cpp
	skgmonthlypluginwidget.cpp
	skgmonthlyboardwidget.cpp)


kde4_add_ui_files(skrooge_monthly_SRCS skgmonthlypluginwidget_base.ui skgmonthlyboardwidget.ui)

kde4_add_plugin(skrooge_monthly ${skrooge_monthly_SRCS})
TARGET_LINK_LIBRARIES(skrooge_monthly ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY} skgbasemodeler skgbasegui skgbankmodeler)

########### install files ###############
INSTALL(TARGETS skrooge_monthly DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin-monthly.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_monthly.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge_monthly )
INSTALL(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/skrooge/css FILES_MATCHING PATTERN "*.css"
PATTERN ".svn" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "Testing" EXCLUDE)
kde4_install_icons( ${ICON_INSTALL_DIR}   )
