=== debian/changelog ===
skrooge (0.9.92-1) unstable; urgency=low

  * New upstream release 
  * Add Build-Depends: libqtwebkit-dev
    - Fixes "FTBFS: fatal error: QWebView:" (Closes: #630205)

 -- Mark Purcell <msp@debian.org>  Tue, 28 Jun 2011 00:59:57 +1000
