## skrooge 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "0.9.92")
-SET(SKG_BETA "BETA")
+SET(SKG_VERSION "1.0.0")
+SET(SKG_BETA "")
 SET(SOVERSION 0)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
 
@@ -35,6 +35,7 @@
 MESSAGE( STATUS "     BUILD_DIR           : " ${BUILD_DIR} )
 MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
 MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )
+MESSAGE( STATUS "     SKG_BUILD_TEST      : " ${SKG_BUILD_TEST} )
 
 IF(CMAKE_BUILD_TYPE MATCHES "profile")
   MESSAGE( STATUS "     TRACES              : All traces activated")
@@ -81,16 +82,20 @@
     IF(CMAKE_COMPILER_IS_GNUCXX)
 	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-runtime-pseudo-reloc -Wl,--export-all-symbols" CACHE STRING "" FORCE)
     ENDIF(CMAKE_COMPILER_IS_GNUCXX)
+    
+    IF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
+        ADD_DEFINITIONS( -DQT_DEBUG )
+    ENDIF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)    
 ELSE(WIN32)
+
 #To solve Bug 209912:"ldd -u <library>""
 #doesnt work on MACOS, must be done manually		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed" CACHE STRING "" FORCE)
 ENDIF(WIN32)
 MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")
 
 
-#ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental
-#ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin
-#ADD_SUBDIRECTORY(skgapplets) #<-- Experimental plugin
+ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental
+# ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin
 #ADD_SUBDIRECTORY(skgmyapplitest) #<-- Experimental plugin, do not activate
 
 #ADD_SUBDIRECTORY
@@ -101,11 +106,6 @@
 
 ADD_SUBDIRECTORY(plugins)
 ADD_SUBDIRECTORY(images)
-IF(WIN32)
-    MESSAGE( STATUS "     Doc disabled on windows")
-ELSE(WIN32)
-    ADD_SUBDIRECTORY(doc)
-ENDIF(WIN32)
 
 IF(SKG_BUILD_TEST AND NOT WIN32)
 	ADD_SUBDIRECTORY(tests)
@@ -150,3 +150,6 @@
 
 include(MacroOptionalAddSubdirectory)
 macro_optional_add_subdirectory( po )
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( doc )
