=== doc/CMakeLists.txt ===
add_subdirectory(en_US)
add_subdirectory(sv)
