=== skgbasemodeler/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 FIND_PACKAGE(QCA2 REQUIRED)
 
-INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${SQLITE_INCLUDE_DIR} )
+INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${QT_QTSQL_INCLUDE_DIR} )
 
 SET(skgbasemodeler_SRCS
    skgobjectbase.cpp
@@ -18,6 +18,7 @@
    skgservices.cpp
    skgerror.cpp
    skgtraces.cpp
+   skgadvice.cpp
  )
 
 #build a shared library
