=== plugins/applet/CMakeLists.txt ===
add_subdirectory(advice)
add_subdirectory(alarm)
add_subdirectory(bank)
add_subdirectory(unit)
add_subdirectory(account)
add_subdirectory(calculator)
add_subdirectory(operation)
add_subdirectory(tipsoftheday)
add_subdirectory(highlightedoperation)
add_subdirectory(report)
add_subdirectory(scheduledoperation)

add_subdirectory(advice-qml)
