=== debian/changelog ===
skrooge (1.0.0-1) unstable; urgency=low

  * New upstream release (LP: #869529) 
  * Updated skrooge.install
    - Fixes "[skrooge] Import failed" (Closes: #632946)
  * Add Build-Depends: libgrantlee-dev
  * Update Vcs-Browser: anonscm.debian.org
  * Depends: skrooge-common (= ${source:Version})

 -- Mark Purcell <msp@debian.org>  Sun, 09 Oct 2011 21:52:39 +1100
