=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.9.0),
  kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libsqlite3-dev, libqtwebkit-dev,
+ libgrantlee-dev,
  pkg-config, shared-mime-info
 Standards-Version: 3.8.4
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/skrooge/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
 
 Package: skrooge
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libqca2-plugin-ossl, libqt4-sql-sqlite, skrooge-common (>= ${source:Version})
+ libqca2-plugin-ossl, libqt4-sql-sqlite, skrooge-common (= ${source:Version})
 Description: personal finance manager for KDE
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and
