## skrooge 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,38 @@
 MESSAGE( STATUS "..:: CMAKE ROOT ::..")
 
 PROJECT(skrooge)
+
+#http://www.testcocoon.org vvvv
+SET(COVERAGE_FLAGS "--cs-on --cs-count")
+SET( CMAKE_CXX_FLAGS_COVERAGE 
+     "${CMAKE_C_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used by the C++ compiler during coverage builds."
+    FORCE )
+SET( CMAKE_C_FLAGS_COVERAGE 
+     "${CMAKE_CXX_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used by the C compiler during coverage builds."
+    FORCE )
+SET( CMAKE_EXE_LINKER_FLAGS_COVERAGE
+    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used for linking binaries during coverage builds."
+    FORCE )
+SET( CMAKE_SHARED_LINKER_FLAGS_COVERAGE
+    "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used by the shared libraries linker during coverage builds."
+    FORCE )
+SET( CMAKE_STATIC_LINKER_FLAGS_COVERAGE
+    "${CMAKE_STATIC_LINKER_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used by the static libraries linker during coverage builds."
+    FORCE )
+MARK_AS_ADVANCED(
+    CMAKE_CXX_FLAGS_COVERAGE
+    CMAKE_C_FLAGS_COVERAGE
+    CMAKE_EXE_LINKER_FLAGS_COVERAGE
+    CMAKE_SHARED_LINKER_FLAGS_COVERAGE 
+    CMAKE_STATIC_LINKER_FLAGS_COVERAGE 
+    COMPILE_DEFINITIONS_COVERAGE
+)
+#http://www.testcocoon.org ^^^^
 
 FIND_PROGRAM(SKG_BASH bash)
 MARK_AS_ADVANCED(SKG_BASH)
@@ -11,9 +43,9 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "1.0.0")
+SET(SKG_VERSION "1.1.1")
 SET(SKG_BETA "")
-SET(SOVERSION 0)
+SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
 
 IF (CMAKE_BUILD_TYPE)
@@ -93,10 +125,7 @@
 ENDIF(WIN32)
 MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")
 
-
 ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental
-# ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin
-#ADD_SUBDIRECTORY(skgmyapplitest) #<-- Experimental plugin, do not activate
 
 #ADD_SUBDIRECTORY
 ADD_SUBDIRECTORY(skgbasemodeler)
