=== doc/CMakeLists.txt ===
add_subdirectory(sv)
add_subdirectory(en_US)
add_subdirectory(pt)
add_subdirectory(es)
add_subdirectory(pt_BR)
add_subdirectory(lt)
