=== plugins/skrooge/skrooge_monthly/grantlee_filters/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE GRANTLEE_FILTERS ::..")

PROJECT(grantlee_filters)

INCLUDE(${Grantlee_USE_FILE}) # This files defines the grantlee_add_plugin macro

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${Grantlee_INCLUDE_DIRS} 
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasegui
)

GRANTLEE_ADD_PLUGIN(grantlee_skroogefilters skggrantleefilters FILTERS skgdocumentfilter skgobjectfilter skgmoneyfilter)
TARGET_LINK_LIBRARIES(grantlee_skroogefilters skgbasemodeler skgbankmodeler skgbasegui)

########### install files ###############
IF(WIN32)
  INSTALL(TARGETS grantlee_skroogefilters ARCHIVE DESTINATION ${DATA_INSTALL_DIR}/skrooge/plugins/grantlee/${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR} )
ELSE(WIN32)
  INSTALL(TARGETS grantlee_skroogefilters LIBRARY DESTINATION ${DATA_INSTALL_DIR}/skrooge/plugins/grantlee/${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR} )
ENDIF(WIN32)
