=== debian/changelog ===
skrooge (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Add BUG288683_arch-dependent-file-in-usr-share.patch from upstream.

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 12:00:02 +0200
