=== debian/control ===
--- 
+++ 
@@ -3,19 +3,29 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.9.0),
- kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libsqlite3-dev, libqtwebkit-dev,
- libgrantlee-dev,
- pkg-config, shared-mime-info
-Standards-Version: 3.8.4
+Build-Depends: cmake (>= 2.8.0),
+               debhelper (>= 8.1.0),
+               kdelibs5-dev (>= 4:4.4.4),
+               libgrantlee-dev,
+               libofx-dev,
+               libqca2-dev,
+               libqtwebkit-dev,
+               libsqlite3-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.9.0),
+               shared-mime-info
+Standards-Version: 3.9.2
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
 
 Package: skrooge
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libqca2-plugin-ossl, libqt4-sql-sqlite, skrooge-common (= ${source:Version})
+Depends: libqca2-plugin-ossl,
+         libqt4-sql-sqlite,
+         skrooge-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: personal finance manager for KDE
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and
@@ -38,7 +48,7 @@
 
 Package: skrooge-common
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Skrooge architecture independent files
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and
