## skrooge 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,15 @@
 MESSAGE( STATUS "..:: CMAKE ROOT ::..")
 
 PROJECT(skrooge)
+
+cmake_minimum_required(VERSION 2.8)
+IF(POLICY CMP0017)
+   CMAKE_POLICY(SET CMP0017 OLD) # or even better, NEW
+ENDIF(POLICY CMP0017)
+IF(POLICY CMP0002)
+   CMAKE_POLICY(SET CMP0002 OLD) # to authorize the build with po files   
+ENDIF(POLICY CMP0002)
+
 
 #http://www.testcocoon.org vvvv
 SET(COVERAGE_FLAGS "--cs-on --cs-count")
@@ -43,7 +52,7 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "1.1.1")
+SET(SKG_VERSION "1.2.0")
 SET(SKG_BETA "")
 SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
