=== skgbankmodeler/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,6 @@
 PROJECT(SKGBANKMODELER)
 
 LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
-
-MESSAGE( STATUS "OFX found. OFX support enabled")
 
 INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
