=== skgbasemodeler/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,12 @@
 
 LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
 
-FIND_PACKAGE(QCA2 REQUIRED)
+FIND_PACKAGE(QCA2)
+if( NOT QCA2_FOUND  )
+  message(FATAL_ERROR "Package QCA2 required, but not found!")
+else( NOT QCA2_FOUND )
+  message(STATUS "Package QCA2 found!")
+endif( NOT QCA2_FOUND )
 
 INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${QT_QTSQL_INCLUDE_DIR} )
