=== plugins/applet/CMakeLists.txt ===
add_subdirectory(advice)

add_subdirectory(bank)
add_subdirectory(unit)
add_subdirectory(account)

add_subdirectory(tipsoftheday)
add_subdirectory(highlightedoperation)
add_subdirectory(report)
add_subdirectory(scheduledoperation)

add_subdirectory(advice-qml)

add_subdirectory(incomeexpenditure)
add_subdirectory(simulation)
add_subdirectory(alarm)
