=== plugins/skrooge/skrooge_monthly/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_MONTHLY ::..")

PROJECT(plugin_monthly)

FIND_PACKAGE(Grantlee)
if( NOT Grantlee_FOUND  )
  message(FATAL_ERROR "Package Grantlee required, but not found!")
else( NOT Grantlee_FOUND )
  message(STATUS "Package Grantlee found!")
endif( NOT Grantlee_FOUND )

SET(GRANTLEE_VERSION ${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR}.${Grantlee_VERSION_PATCH})
MESSAGE( STATUS "     GRANTLEE VERSION      : " ${GRANTLEE_VERSION})

if(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
    MESSAGE( STATUS "     enable GRANTLEE 0.1.4 API")
else(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
    MESSAGE( STATUS "     enable GRANTLEE 0.1.7 API")
    add_definitions(-DSKGGRANTLEE17ENABLED=Y)
endif(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")

ADD_SUBDIRECTORY(grantlee_filters)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${Grantlee_INCLUDE_DIRS} 
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BINARY_DIR}/skgbasegui
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_monthly_SRCS
	skgmonthlyplugin.cpp
	skgmonthlypluginwidget.cpp
	skgmonthlyboardwidget.cpp)

kde4_add_ui_files(skrooge_monthly_SRCS skgmonthlypluginwidget_base.ui skgmonthlyboardwidget.ui)

kde4_add_plugin(skrooge_monthly ${skrooge_monthly_SRCS})
TARGET_LINK_LIBRARIES(skrooge_monthly ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY} ${KDE4_KNEWSTUFF3_LIBS} ${Grantlee_CORE_LIBRARIES} skgbasemodeler skgbasegui skgbankmodeler)

########### install files ###############
INSTALL(TARGETS skrooge_monthly DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin-monthly.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_monthly.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge_monthly )
INSTALL(FILES skrooge_monthly.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
INSTALL(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/skrooge/html FILES_MATCHING PATTERN "*.txt" 
PATTERN ".svn" EXCLUDE
PATTERN "CMakeLists.txt" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "grantlee_filters" EXCLUDE
PATTERN "Testing" EXCLUDE)
INSTALL(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/skrooge/html FILES_MATCHING PATTERN "*.html" 
PATTERN ".svn" EXCLUDE
PATTERN "CMakeLists.txt" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "grantlee_filters" EXCLUDE
PATTERN "Testing" EXCLUDE)
kde4_install_icons( ${ICON_INSTALL_DIR}   )
