=== debian/changelog ===
skrooge (1.2.0-2) unstable; urgency=low

  * Fix pinuparts dependency does-not-exist
  * Drop obsolete skrooge-common ${shlibs:Depends}
  * Update lintian-overrides non-dev-pkg-with-shlib-symlink

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jan 2012 03:39:31 +1100

skrooge (1.2.0-1) unstable; urgency=low

  * lca2012 release

  * New upstream release
  * Drop patches/BUG288683 - included upstream

 -- Mark Purcell <msp@debian.org>  Mon, 16 Jan 2012 15:48:39 +1100
